PETSc version 3.17.4
Fix/Edit manual page

# DMPlexLabelsLoad

Loads labels into a DMPlex

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexLabelsLoad(DM dm, PetscViewer viewer, PetscSF globalToLocalPointSF)

Collective on DM

### Input Parameters

| dm | - The DM into which the labels are loaded
| viewer | - The PetscViewer for the saved labels
| globalToLocalPointSF | - The SF returned by DMPlexTopologyLoad() when loading dm from viewer

### Notes

The PetscSF argument must not be NULL if the DM is distributed, otherwise an error occurs.

### See Also

DMLoad(), DMPlexTopologyLoad(), DMPlexCoordinatesLoad(), DMView(), PetscViewerHDF5Open(), PetscViewerPushFormat()

### Level

advanced

### Location

src/dm/impls/plex/plex.c
Index of all DMPLEX routines
Table of Contents for all manual pages
Index of all manual pages